# MPE_Make_color_array

Makes an array of color indices

## Synopsis

    #include "mpe.h"
    int MPE_Make_color_array( handle, ncolors, array )
    MPE_XGraph handle;
    int        ncolors;
    MPE_Color  array[];

## Input Parameters

| handle | MPE graphics handle
| nc | Number of colors

## Output Parameter

| array | Array of color indices

## Notes

The new colors for a uniform distribution in hue space and replace the existing colors except for `MPE_WHITE` and `MPE_BLACK`.

## Notes For Fortran Interface

The Fortran interface to this routine is different from its C counterpart and it has an additional argument, ierr, at the end of the argument list, i.e. the returned function value (the error code) in C interface is returned as the additional argument in Fortran interface. The Fortran interface is invoked with the CALL statement.

All MPI and MPE objects, MPI_Comm, MPE_XGraph and MPE_Color, are of type INTEGER in Fortran.

Location:mpe_graphics.c